Open CASCADE Technology: TNaming_Builder Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TNaming_Builder Class Reference

A tool to create and maintain topological attributes. Constructor creates an empty TNaming_NamedShape attribute at the given label. It allows adding "old shape" and "new shape" pairs with the specified evolution to this named shape. One evolution type per one builder must be used. More...

`#include <TNaming_Builder.hxx>`

## Public Member Functions
| TNaming_Builder (const TDF_Label &aLabel)
| Create an Builder. Warning: Before Addition copies the current Value, and clear. More...
void | Generated (const TopoDS_Shape &newShape)
| Records the shape newShape which was generated during a topological construction. As an example, consider the case of a face generated in construction of a box. More...
void | Generated (const TopoDS_Shape &oldShape, const TopoDS_Shape &newShape)
| Records the shape newShape which was generated from the shape oldShape during a topological construction. As an example, consider the case of a face generated from an edge in construction of a prism. More...
void | Delete (const TopoDS_Shape &oldShape)
| Records the shape oldShape which was deleted from the current label. As an example, consider the case of a face removed by a Boolean operation. More...
void | Modify (const TopoDS_Shape &oldShape, const TopoDS_Shape &newShape)
| Records the shape newShape which is a modification of the shape oldShape. As an example, consider the case of a face split or merged in a Boolean operation. More...
void | Select (const TopoDS_Shape &aShape, const TopoDS_Shape &inShape)
| Add a Shape to the current label , This Shape is unmodified. Used for example to define a set of shapes under a label. More...
Handle< TNaming_NamedShape > | NamedShape () const
| Returns the NamedShape which has been built or is under construction. More...

## Detailed Description

A tool to create and maintain topological attributes. Constructor creates an empty TNaming_NamedShape attribute at the given label. It allows adding "old shape" and "new shape" pairs with the specified evolution to this named shape. One evolution type per one builder must be used.

## Constructor & Destructor Documentation

TNaming_Builder::TNaming_Builder | ( | const TDF_Label & | aLabel | ) |

Create an Builder. Warning: Before Addition copies the current Value, and clear.

## Member Function Documentation

void TNaming_Builder::Delete | ( | const TopoDS_Shape & | oldShape | ) |

Records the shape oldShape which was deleted from the current label. As an example, consider the case of a face removed by a Boolean operation.

void TNaming_Builder::Generated | ( | const TopoDS_Shape & | newShape | ) |

Records the shape newShape which was generated during a topological construction. As an example, consider the case of a face generated in construction of a box.

void TNaming_Builder::Generated | ( | const TopoDS_Shape & | oldShape,
|  | const TopoDS_Shape & | newShape
| ) |  |

Records the shape newShape which was generated from the shape oldShape during a topological construction. As an example, consider the case of a face generated from an edge in construction of a prism.

void TNaming_Builder::Modify | ( | const TopoDS_Shape & | oldShape,
|  | const TopoDS_Shape & | newShape
| ) |  |

Records the shape newShape which is a modification of the shape oldShape. As an example, consider the case of a face split or merged in a Boolean operation.

Handle< TNaming_NamedShape > TNaming_Builder::NamedShape | ( |  | ) | const

Returns the NamedShape which has been built or is under construction.

void TNaming_Builder::Select | ( | const TopoDS_Shape & | aShape,
|  | const TopoDS_Shape & | inShape
| ) |  |

Add a Shape to the current label , This Shape is unmodified. Used for example to define a set of shapes under a label.

The documentation for this class was generated from the following file:

- TNaming_Builder.hxx